//
// $Id: primetab.hh,v 1.4 2000/06/30 13:08:51 voeckler Exp $
//
// Author:  Jens-S. Vckler <voeckler@rvs.uni-hannover.de>
//
// File:    primetab.hh
//          Wed Aug 12 1997
//
// (c) 1997 Lehrgebiet Rechnernetze und Verteilte Systeme
//          Universitt Hannover, Germany
//
// Permission to use, copy, modify, distribute, and sell this software
// and its documentation for any purpose is hereby granted without fee,
// provided that (i) the above copyright notices and this permission
// notice appear in all copies of the software and related documentation,
// and (ii) the names of the Lehrgebiet Rechnernetze und Verteilte
// Systeme and the University of Hannover may not be used in any
// advertising or publicity relating to the software without the
// specific, prior written permission of Lehrgebiet Rechnernetze und
// Verteilte Systeme and the University of Hannover.
//
// THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
// EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
// WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
//
// IN NO EVENT SHALL THE LEHRGEBIET RECHNERNETZE UND VERTEILTE SYSTEME OR
// THE UNIVERSITY OF HANNOVER BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
// INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES
// WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT
// ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY,
// ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
// SOFTWARE.
//
// $Log: primetab.hh,v $
// Revision 1.4  2000/06/30 13:08:51  voeckler
// added small value to tables in order to be more memory efficient for
// triple recursive maps, e.g. a map of a map of a map.
//
// Revision 1.3  1999/08/05 21:18:31  voeckler
// changes from size_t to MyUInt32.
//
// Revision 1.2  1998/07/02 09:42:41  voeckler
// changed from HashIndex to size_t, changed spacing from pi to 10.
//
// Revision 1.1  1997/08/18 11:45:58  voeckler
// Initial revision
//
#ifndef _PRIMETAB_HH
#define _PRIMETAB_HH

#if defined(__GNUC__) || defined(__GNUG__)
#pragma implementation
#endif

#include "typedefs.h"

const int SIZE = 8;
extern const MyUInt32 primes[SIZE];
extern const MyUInt32 fillup[SIZE];

#endif // _PRIMETAB_HH
